using Furion.DatabaseAccessor;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace Ewide.Core
{
    [Table("sys_role_area")]
    [Comment("角色区域自定义数据")]
    public class SysRoleArea: IEntity
    {
        /// <summary>
        /// 角色Id
        /// </summary>
        [Comment("角色Id")]
        public string SysRoleId { get; set; }
        [XmlIgnore]
        public SysRole SysRole { get; set; }
        [Comment("系统使用的区域代码")]
        public string AreaCode { get; set; }
        [XmlIgnore]
        public SysAreaCode Area { get; set; }

    }
}
